Bug 107367 - module erors for free_netdev on kernel .2096
Summary: module erors for free_netdev on kernel .2096
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: CambridgeBlocker
TreeView+ depends on / blocked
 
Reported: 2003-10-17 14:58 UTC by Don Vanco
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-18 14:55:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Don Vanco 2003-10-17 14:58:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1) Gecko/20031014

Description of problem:
[root@localhost up2date]# rpm -ivh kernel-*.rpm
Preparing...                ########################################### [100%]
   1:kernel-smp             ########################################### [ 50%]
depmod: *** Unresolved symbols in
/lib/modules/2.4.22-1.2096.nptlsmp/kernel/drivers/net/bonding/bonding.o
depmod:         free_netdev
depmod:         PDE
depmod: *** Unresolved symbols in
/lib/modules/2.4.22-1.2096.nptlsmp/kernel/drivers/net/pcmcia/xircom_cb.o
depmod:         free_netdev
   2:kernel                 ########################################### [100%]
depmod: *** Unresolved symbols in
/lib/modules/2.4.22-1.2096.nptl/kernel/drivers/net/bonding/bonding.o
depmod:         free_netdev
depmod:         PDE
depmod: *** Unresolved symbols in
/lib/modules/2.4.22-1.2096.nptl/kernel/drivers/net/pcmcia/xircom_cb.o
depmod:         free_netdev 

Version-Release number of selected component (if applicable):
kernel-2.4.22-1.2096.nptlsmp and kernel-2.4.22-1.2096.nptl

How reproducible:
Didn't try

Steps to Reproduce:
1. update kernel(s) as above
2. see errors
3. tell someone you love them
    

Actual Results:  unresolved symbols

Expected Results:  clean install

Additional info:

Comment 1 Marc Schwartz 2003-10-17 15:16:56 UTC
Similar errors from non-SMP kernel via up2date:

depmod: *** Unresolved symbols in /lib/modules/2.4.22-1.2096.nptl/kernel/drivers
/net/bonding/bonding.o
depmod:         free_netdev
depmod:         PDE
depmod: *** Unresolved symbols in /lib/modules/2.4.22-1.2096.nptl/kernel/drivers
/net/pcmcia/xircom_cb.o
depmod:         free_netdev

Comment 2 Chris Ricker 2003-10-18 14:55:34 UTC
fixed in 2097


Note You need to log in before you can comment on or make changes to this bug.